wireguard (1.0.20210914-3ubuntu2) questing; urgency=medium

  * Upstream fix to handle resolvconf migration more gracefully (LP: #2119260):
    - d/p/0005-wg-quick-linux-deal-with-resolvconf-migration-more-g.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 19 Aug 2025 15:51:59 +0200

wireguard (1.0.20210914-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110425). Remaining changes:
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Cherry-pick upstream fixups from master:
      + d/p/0001-embeddable-wg-library-add-named-wg_endpoint-union.patch
      + d/p/0001-reresolve-dns-use-EPOCHSECONDS-instead-of-date-s.patch
      + d/p/0001-wg-quick-linux-prevent-traffic-from-momentarily-leak.patch
      + d/p/0001-show-apply-const-to-right-part-of-pointer.patch
  * Drop Changes:
    - Add better DEP8 tests (LP: 1952102)
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
      [applied in Debian, 1.0.20210914-2]
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP: 1952767)
      [applied in Debian, 1.0.20210914-2]
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
      [applied (dropped) in Debian, 1.0.20210914-2]

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 13 Aug 2025 11:42:16 +0200

wireguard (1.0.20210914-3) unstable; urgency=medium

  * d/wireguard-tools.lintian-overrides: Refresh overrides.
  * d/t/control:
    - Use skip-not-installable to skip tests on arches lacking a kernel.
      Closes: #1102292

 -- Unit 193 <unit193@debian.org>  Thu, 10 Apr 2025 02:10:05 -0400

wireguard (1.0.20210914-2) unstable; urgency=medium

  [ Andreas Hasenack / Lukas Märdian ]
  * Add a simple keygen test, run at build-time and as DEP8.
  * Add new wg-quick DEP8 test
  * Add new netns-mini DEP8 test
  * debian: Add salsa-ci.yml

  [ Unit 193 ]
  * d/rules, d/p/0001-Avoid-using-git-during-build.patch:
    - Set WIREGUARD_TOOLS_VERSION during build, dropping patch.
  * d/p/0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch:
    - Drop patch no longer needed.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Tue, 01 Apr 2025 03:07:24 -0400

wireguard (1.0.20210914-1.1ubuntu2) plucky; urgency=medium

  * d/t/control: make wg-quick test depend on iputils-ping
  * d/t/control: run wg-quick test in container
  * d/t/control: run netns-mini test in container
  * d/rules: move build-time-test.sh to separate file

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Jan 2025 09:55:16 +0100

wireguard (1.0.20210914-1.1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064481). Remaining changes:
    - Add better DEP8 tests (LP #1952102):
      + d/t/control, d/t/wireguard-wgquick: test using network namespaces
        and wg-quick
      + d/t/netns-mini, d/t/control: test using network namespaces
        and wg, taken from the wireguard-linux-compat package
    - d/rules: add simple build-time test, taken from the existing
      DEP8 test to generate keys (LP #1952767)
    - Drop depends on wireguard-modules (always built-in), wireguard-dkms
      (removed from the archive). This makes wireguard package sort of
      redundant. LP #2008086
    - Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
      glibc-2.25 has been around since forever.
    - Cherry-pick upstream fixups from master.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 13 Aug 2024 14:32:47 -0300

wireguard (1.0.20210914-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on systemd-dev instead of systemd (Closes: #1060572)
  * Switch to pkgconf

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 May 2024 16:12:29 +0100

wireguard (1.0.20210914-1ubuntu4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:22:11 +0200

wireguard (1.0.20210914-1ubuntu3) lunar; urgency=medium

  * Drop depends on wireguard-modules (always built-in), wireguard-dkms
    (removed from the archive). This makes wireguard package sort of
    redundant. LP: #2008086
  * Drop 0002-Avoid-requiring-glibc-2.25-for-wireguard-tools.patch as
    glibc-2.25 has been around since forever.
  * Cherry-pick upstream fixups from master.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 22 Feb 2023 12:35:51 +0000

wireguard (1.0.20210914-1ubuntu2) jammy; urgency=medium

  * Add better DEP8 tests (LP: #1952102):
    - d/t/control, d/t/wireguard-wgquick: test using network namespaces
      and wg-quick
    - d/t/netns-mini, d/t/control: test using network namespaces
      and wg, taken from the wireguard-linux-compat package
  * d/rules: add simple build-time test, taken from the existing
    DEP8 test to generate keys (LP: #1952767)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Dec 2021 08:33:57 -0300

wireguard (1.0.20210914-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 23 Nov 2021 11:41:45 -0500

wireguard (1.0.20210914-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Mon, 27 Sep 2021 21:21:06 -0400

wireguard (1.0.20210424-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 16 Aug 2021 14:20:40 -0400

wireguard (1.0.20210424-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Fri, 13 Aug 2021 17:36:52 -0400

wireguard (1.0.20210223-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 16 Mar 2021 17:27:19 -0400

wireguard (1.0.20210223-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Bump dh compat to 13.
    - Drop Build-Depend on dkms.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 25 Feb 2021 02:02:36 -0500

wireguard (1.0.20200827-1ubuntu1) devel; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for the wireguard-modules,
      wireguard-dkms alternative.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 30 Sep 2020 18:52:56 -0400

wireguard (1.0.20200827-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Wed, 09 Sep 2020 03:47:59 -0400

wireguard (1.0.20200820-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Switch alternative dependency order for teh wireguard-modules,
      wireguard-dkms alternative.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 26 Aug 2020 10:42:33 +0100

wireguard (1.0.20200820-1) unstable; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@debian.org>  Sat, 22 Aug 2020 19:19:51 -0400

wireguard (1.0.20200513-1ubuntu1) groovy; urgency=medium

  * Switch alternative dependency order for the wireguard-modules,
    wireguard-dkms alternative.  Whichever is first is deemed the
    preferred installation candidate when neither is present.  When this is
    wireguard-modules this is satisfied by installation of a random kernel
    which claims support for wireguard regardless of its applicability.
    Repeat after me, do not ever depend on a kernel.  (LP: #1890201)

 -- Andy Whitcroft <apw@ubuntu.com>  Mon, 03 Aug 2020 22:24:05 +0100

wireguard (1.0.20200513-1) unstable; urgency=medium

  * New upstream release.
    - Drop upstream patch.
  * d/control: Lower 'openresolv | resolvconf' to suggests.

 -- Unit 193 <unit193@debian.org>  Fri, 15 May 2020 18:32:16 -0400

wireguard (1.0.20200510-1) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * Add Unit193 to Uploaders
  * wrap-and-sort -ast
  * prefer wireguard-modules (from a kernel package) over wireguard-dkms
  * keygen test only needs wireguard-tools package, not wireguard metapackage

  [ Jason A. Donenfeld ]
  * debian: tests: replace ncat-client with keygen
  * debian: control: set Recommends order same as Depends order

  [ Unit 193 ]
  * New upstream release.
    - Refresh patch.
    - Grab an upstream commit to install wg-quick.target.
  * d/control:
    - Update my email address.
    - Recommend openresolv | resolvconf. (Closes: #930735)
  * d/copyright: Update attribution.
  * d/wireguard-tools.lintian-overrides: Drop override about .gitignore.

 -- Unit 193 <unit193@debian.org>  Tue, 12 May 2020 01:33:42 -0400

wireguard (1.0.20200319-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * d/watch: Update to find new releases.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Mar 2020 21:30:26 -0400

wireguard (1.0.20200206-2) unstable; urgency=medium

  * add NEWS file documenting that the metapackage will no longer cause a
    reload.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 Feb 2020 10:08:35 -0500

wireguard (1.0.20200206-1) unstable; urgency=medium

  * new upstream release.
  * d/copyright: note import of bits from libmnl
  * refresh patches
  * drop libmnl-dev from build-deps

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 06 Feb 2020 14:06:44 -0500

wireguard (1.0.20200121-2) unstable; urgency=medium

  * Transfer module reload postinst script to wireguard-dkms package
  * standards-version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Jan 2020 13:16:57 -0500

wireguard (1.0.20200121-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 21 Jan 2020 10:12:22 -0500

wireguard (1.0.20200102-1) unstable; urgency=medium

  * new upstream release
  * drop wireguard-dkms binary package, now supplied by the
    wireguard-linux-compat source package
  * refresh patches
  * drop lintian override of version-substvar-for-external-package
  * ship examples from new upstream path
  * update debian/copyright
  * avoid using git during build to override src/version.h

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jan 2020 11:25:16 -0500

wireguard (0.0.20191219-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Dec 2019 11:33:41 -0500

wireguard (0.0.20191212-1) unstable; urgency=medium

  * new upstream release
  * encourage nftables instead of iptables

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 12 Dec 2019 10:53:37 -0500

wireguard (0.0.20191206-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 06 Dec 2019 17:32:38 -0500

wireguard (0.0.20191127-2) unstable; urgency=medium

  * wireguard-tools now Recommends: iptables because of wg-quick

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 04 Dec 2019 10:46:36 -0500

wireguard (0.0.20191127-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Dec 2019 09:44:34 -0500

wireguard (0.0.20191012-1) unstable; urgency=medium

  * new upstream release
  * d/clean: clean up generated assembler
  * more notes about autopkgtest
  * standards-version: bump to 4.4.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Oct 2019 17:41:38 +0200

wireguard (0.0.20190913-1) unstable; urgency=medium

  * new upstream release
  * verbose build to satisfy compiler-flags-hidden complaint from bls

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 Sep 2019 10:29:32 +0200

wireguard (0.0.20190905-1) unstable; urgency=medium

  * new upstream release
  * refresh patches
  * include ${perl:Depends} in wireguard-dkms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 08 Sep 2019 15:42:09 -0400

wireguard (0.0.20190702-3) unstable; urgency=medium

  * clean up wireguard-modules versioned dependency (Closes: #930432)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 20:52:22 -0400

wireguard (0.0.20190702-2) unstable; urgency=medium

  * Work around faulty siphash backport (Closes: #934763)
  * standards-version: bump to 4.4.0 (no changes needed)
  * override package-supports-alternative-init-but-no-init.d-script for
    wireguard-tools

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 19 Aug 2019 18:07:59 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog wireguard-tools`.
